- entityDefinitions:
  - IDC_TenantType: "{5670953C-7367-4065-9AC2-46555342DC72}"
  - IDI_TenantType_Production: "{5535F488-6C8E-42BC-86A3-664D70411A2A}"
  - IDI_TenantType_Sandbox: "{6A3767FD-6606-426F-B8D9-507B9FFE595C}"
  - IDI_TenantType_Implementation: "{E860A64C-C156-49E7-80E5-E3BA3CE4D15D}"
  - IDI_TenantType_Development: "{B4F900F1-2C22-41FD-AAB9-7C956663256F}"
  - IDI_TenantType_DevelopmentInternal: "{716D4C16-040F-4EBB-A920-DDF88765A017}"
  - IDI_TenantType_SandboxPreviewPreview: "{b225d85b-d1a2-4ce7-90bc-410f2d5c0a53}"
  - IDI_TenantType_QAPreview: ""
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_TenantType;'
    name: 'Tenant Type'
    index: 360
    abstract: no
    sealed: yes
    customTagName: 'tenantType'

  - tenantType: '&IDI_TenantType_Production;'
    name: 'Production'
    description: 'The production tenant type. Usually the only tenant type visible to regular users. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#85C744'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: no
  
  - tenantType: '&IDI_TenantType_Sandbox;'
    name: 'Sandbox'
    description: 'The sandbox tenant type. Usually used to create new features and modules before pushing them to production. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#F1C40F'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: no

  - tenantType: '&IDI_TenantType_Implementation;'
    name: 'Implementation'
    description: 'The implementation tenant type. Usually used to create new features and modules before pushing them to production. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#2BBCE0'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: no
  
  - tenantType: '&IDI_TenantType_Development;'
    name: 'Production'
    description: 'The development tenant type. Usually used to create new features and modules before pushing them to production. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#E73C3C'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: yes
  
  - tenantType: '&IDI_TenantType_DevelopmentInternal;'
    name: 'MADI Internal Development'
    description: 'The development tenant type. Usually used to create new features and modules before pushing them to production. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#E73C3C'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: yes

  - tenantType: '&IDI_TenantType_SandboxPreviewPreview;'
    name: 'Production'
    description: 'The development tenant type. Usually used to create new features and modules before pushing them to production. Add more (such as production, development, sandbox, sandbox preview, implementation preview, implementation) as needed.'
    badgeBackgroundColor: '#E02BBC'
    badgeForegroundColor: '#FFFFFF'
    showRuntimeVersionInBadge: yes